<?php

namespace Booktics\Calendar;

interface Calendar_Interface {
    public static function get_id(): string;
    public function sync_events( int $team_member_id );
    public function create_event( array $event_data );
    public function update_event( string $event_id, array $event_data );
    public function delete_event( string $event_id );
    public function is_configured( int $team_member_id ): bool;
}
